% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fitRates.R
\name{fitAlphaBeta.log.reparam}
\alias{fitAlphaBeta.log.reparam}
\title{Estimate best alpha = labeled amount and best beta = unlabeled amount of one gene (either for one or multiple samples).
Called in estimateAlphaBeta.}
\usage{
fitAlphaBeta.log.reparam(counts, labeled.samples, total.samples, L, N, epsilon,
  sigma, disp, alpha.initial, beta.initial, maxit = 10000, trace = FALSE,
  logloglik = TRUE, debug = FALSE)
}
\arguments{
\item{counts}{observed counts for a gene (in labeled and total fraction)}

\item{labeled.samples}{index of labeled sample(s) for which alpha and beta should be estimated}

\item{total.samples}{index of total sample(s) for which alpha and beta should be estimated}

\item{L}{length of the gene}

\item{N}{number of cells}

\item{epsilon}{vector with cross contamination rate values for Labeled and Total fraction}

\item{sigma}{vector with sequencing depth values in Labeled and Total fraction}

\item{disp}{vector with gene-specific disperion estimates (alpha) for Labeled and Total sample to be used in Negative Binomial}

\item{alpha.initial}{initial alpha value}

\item{beta.initial}{initial beta value}

\item{maxit}{maximum number of iterations for the optim function}

\item{trace}{logical; should all steps be reported}

\item{logloglik}{should log-loglikelihood be used? (might be more stable against outliers)}

\item{debug}{should debugging modus be used?}
}
\value{
output of optim (a list)
}
\description{
Estimate best alpha = labeled amount and best beta = unlabeled amount of one gene (either for one or multiple samples).
Called in estimateAlphaBeta.
}
\author{
Carina Demel
}

