% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/initial.guess.R
\name{initial.guess.beta}
\alias{initial.guess.beta}
\title{Calculate initial beta values (unlabeled RNA amount) by closed form solution}
\usage{
initial.guess.beta(N, L, counts, gene.names, seq.depths, cross.cont,
  labeled.samples, total.samples)
}
\arguments{
\item{N}{number of cells}

\item{L}{length of genes}

\item{counts}{count table for genes (rows) and samples (columns)}

\item{gene.names}{names of features == rownames of count table for which the initial guess should be calculated}

\item{seq.depths}{vector with sequencing depths for each sample}

\item{cross.cont}{vector with cross contamination rates for each sample}

\item{labeled.samples}{numeric vector indicating which of the samples are labeled RNA}

\item{total.samples}{numeric vector indicating which of the samples are total RNA}
}
\value{
initial guess for beta for given genes
}
\description{
Calculate initial beta values (unlabeled RNA amount) by closed form solution
}
\author{
Carina Demel
}

